[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: LDAP_ROOT_DSE with OpenLdap 2.2 - This "result.c" patch IS NOT REALLY needed if you use "ldapclient manual" command

On Fri, Mar 04, 2005 at 10:36:25AM +0800, Tay, Gary wrote:
> This "old" result.c patch only works for the old OpenLDAP 2.1.X. It is
> used as "ldapclient init" command which is used to initialise Solaris9/8
> Native LDAP Client against OpenLDAP Server fails due to error message
> something like "Can't find ROOT_DSE".
> For the new OpenLDAP 2.2.X, this patch IS NOT REALLY needed if you use
> "ldapclient manual" command to initialise the Solarir9/8 Native LDAP
> Client against OpenLDAP 2.2.X Server. Below are two examples, one for
> Solaris9, the other Solaris8 (you need LDAPv2 patch 108893 for
> Solaris8). 

But when the ldap client (solaris9 in this case) is inited allready with
the working 2.1.30 it works with the 2.1.30, but when I stop the old 2.1.30
and start the new 2.2.23 is should still work, right? (without new
ldapclient init obviously)
Are there other slapd configuration variables that could cause this?

Solaris btw. claims:
ldaplist[27344]: [ID 293258 user.error] libsldap: Status: 49  Mesg: openConnection: simple bind failed - Invalid credentials

with the 2.2.23

as said, the slapd.conf is besides some paths the same

Christian Leber